#pragma once
#include <string>

#include <vector>

/**
    ڵ
*/
class CivGraphJunction
{
public:
	explicit CivGraphJunction(std::string sN);
	explicit CivGraphJunction(std::string sN, std::string xCoord, std::string yCoord);

	bool operator== (const CivGraphJunction& edage);

	void setSn(const std::string& sn) { mSN = sn; }
	std::string getSn() { return mSN; }

	void setXCoord(std::string xCoord) { mXCoord = xCoord; }
	std::string getXCoord() { return mXCoord; }

	void setYCoord(std::string yCoord) { mXCoord = yCoord; }
	std::string getYCoord() { return mYCoord; }

private:
	std::string mSN; // ,
	std::string mXCoord; // 
	std::string mYCoord; // 
};

/*
	
*/
class CivGraphEdage
{
public:
	/**
	*@brief ߹캯
	*@param sn ,
	*@param length ܳ
	*@param position ע˳[length, startx, starty, endx, endy]
	*/
	explicit CivGraphEdage(std::string sn, std::string length, std::vector<std::string> position);

	bool operator== (const CivGraphEdage& edage);
	bool operator> (const CivGraphEdage& edage);
	bool operator< (const CivGraphEdage& edage);
	bool operator!= (const CivGraphEdage& edage);

private:
	std::string mSN;// 
	std::string mLength; // ܳ
	std::string mStartX;
	std::string mStartY;
	std::string mEndX;
	std::string mEndY;
};


